# This file is part of GasComp.

"""
.. module:: reference
   :synopsis: This module contains reference gasmixtures and properties
              from literature.

.. moduleauthor:: Michael Fischer
"""


# Gasmixtures
gasmixture_russian = {"methane": 98.156,
                      "ethane": 0.728,
                      "propane": 0.212,
                      "isobutane": 0.039,
                      "butane": 0.035,
                      "isopentane": 0.007,
                      "pentane": 0.006,
                      "hexane": 0.001,
                      "nitrogen": 0.786,
                      "carbon dioxide": 0.030}

gasmixture_north = {"methane": 86.048,
                    "ethane": 8.861,
                    "propane": 1.907,
                    "isobutane": 0.144,
                    "butane": 0.216,
                    "isopentane": 0.023,
                    "pentane": 0.019,
                    "hexane": 0.007,
                    "nitrogen": 0.827,
                    "carbon dioxide": 1.949}

gasmixture_air = {"argon": 0.930,
                  "oxygen": 20.960,
                  "nitrogen": 78.070,
                  "carbon dioxide": 0.040}

gasmixture_Lgas = {"methane": 82.0,
                   "ethane": 3.300,
                   "propane": 0.600,
                   "isobutane": 0.300,
                   "nitrogen": 12.600,
                   "carbon dioxide": 1.200}

gasmixture_Hgas = {"methane": 85.400,
                   "ethane": 8.0,
                   "propane": 2.900,
                   "isobutane": 1.0,
                   "nitrogen": 0.700,
                   "carbon dioxide": 2.0}

gasmixture_biogas = {"methane": 62.0,
                     "hydrogen": 0.5,
                     "oxygen": 0.5,
                     "nitrogen": 1.0,
                     "carbon dioxide": 36.0}
